org.eclipse.mat.ui.editor

## Class EditorPaneRegistry

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<PaneConfiguration>
  - - org.eclipse.mat.ui.editor.EditorPaneRegistry

    public class EditorPaneRegistry
    extends RegistryReader<PaneConfiguration>

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AbstractEditorPane` `createNewPane(IResult subject, Class<?> ignore)` Find the appropriate editor pane for the result, ignoring ones associated with the ignore class.
`AbstractEditorPane` `createNewPane(String paneId)`
`PaneConfiguration` `forPane(String paneId)`
`static EditorPaneRegistry` `instance()`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static EditorPaneRegistry instance()

#### forPane

    public PaneConfiguration forPane(String paneId)

#### createNewPane

    public AbstractEditorPane createNewPane(String paneId)
                                     throws CoreException

Throws:
  `CoreException`

#### createNewPane

    public AbstractEditorPane createNewPane(IResult subject,
                                            Class<?> ignore)

Find the appropriate editor pane for the result, ignoring ones associated with the ignore class. Searches all subclasses and interfaces.

Parameters:
  `subject` -
  `ignore` -
Returns: